Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158877 - [RHEL3 U4] setsockopt SO_RCVTIMEO call fails from a 32 bit binary running on a x86_64 system
Summary: [RHEL3 U4] setsockopt SO_RCVTIMEO call fails from a 32 bit binary running on ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Guy Streeter
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-05-26 14:24 UTC by Issue Tracker
Modified: 2016-02-10 01:32 UTC (History)
4 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 15:13:21 UTC


Attachments (Terms of Use)
add SO_RCVTIMEO 32bit support for x86_64 (deleted)
2005-05-26 14:33 UTC, Guy Streeter
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Issue Tracker 2005-05-26 14:24:52 UTC
Escalated to Bugzilla from IssueTracker

Comment 16 Guy Streeter 2005-05-26 14:33:44 UTC
Created attachment 114869 [details]
add SO_RCVTIMEO 32bit support for x86_64

Comment 18 David Miller 2005-05-26 23:22:21 UTC
streeter's patch looks perfectly fine, reassigning to him


Comment 19 Ernie Petrides 2005-06-01 00:41:21 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.6.EL).


Comment 20 Accelerated Fix Request (Red Hat Internal App) 2005-07-18 18:40:56 UTC
From User-Agent: XML-RPC

HOTFIX Requested http://seg.rdu.redhat.com/scripts/hotfix/edit.pl?id=396

Comment 21 Accelerated Fix Request (Red Hat Internal App) 2005-07-18 19:04:11 UTC
From User-Agent: XML-RPC

HOTFIX Request has been released http://seg.rdu.redhat.com/scripts/hotfix/edit.pl?id=396

Comment 26 Red Hat Bugzilla 2005-09-28 15:13:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.